get/accounts
Retrieval of the PSU accounts (AISP)
OAuth2 scopes: aisp, aisp
Description
This call returns all payment accounts that are relevant the PSU on behalf of whom the AISP is connected. Thanks to HYPERMEDIA, each account is returned with the links aiming to ease access to the relevant transactions and balances. The result may be subject to pagination (i.e. retrieving a partial result in case of having too many results) through a set of pages by the ASPSP. Thereafter, the AISP may ask for the first, next, previous or last page of results.
Prerequisites
- The TPP was registered by the Registration Authority for the AISP role.
- The TPP and the PSU have a contract that was enrolled by the ASPSP
- At this step, the ASPSP has delivered an OAUTH2 "Authorization Code" or "Resource Owner Password" access token to the TPP (cf. § 3.4.2).
- The TPP and the ASPSP have successfully processed a mutual check and authentication
- The TPP has presented its OAUTH2 "Authorization Code" or "Resource Owner Password" access token which allows the ASPSP to identify the relevant PSU and retrieve the linked PSU context (cf. § 3.4.2) if any.
- The ASPSP takes into account the access token that establishes the link between the PSU and the AISP.
Business Flow
The TPP sends a request to the ASPSP for retrieving the list of the PSU payment accounts. The ASPSP computes the relevant PSU accounts and builds the answer as an accounts list. The result may be subject to pagination in order to avoid an excessive result set. Each payment account will be provided with its characteristics.
Parameters (17)
- Authorizationheaderstringrequired
Access token to be passed as a header
- PSU-IP-Addressheaderstring
IP address used by the PSU's terminal when connecting to the TPP
- PSU-IP-Portheaderstring
IP port used by the PSU's terminal when connecting to the TPP
- PSU-HTTP-Methodheaderstring
Http method for the most relevant PSU’s terminal request to the TTP
- PSU-Dateheaderstring
Timestamp of the most relevant PSU’s terminal request to the TTP
- PSU-GEO-Locationheaderstring
Geographical location of the PSU as provided by the PSU mobile terminal if any to the TPP
- PSU-User-Agentheaderstring
"User-Agent" header field sent by the PSU terminal when connecting to the TPP
- PSU-Refererheaderstring
"Referer" header field sent by the PSU terminal when connecting to the TPP. Notice that an initial typo in RFC 1945 specifies that "referer" (incorrect spelling) is to be used. The correct spelling "referrer" can be used but might not be understood.
- PSU-Acceptheaderstring
"Accept" header field sent by the PSU terminal when connecting to the TPP
- PSU-Accept-Charsetheaderstring
"Accept-Charset" header field sent by the PSU terminal when connecting to the TPP
- PSU-Accept-Encodingheaderstring
"Accept-Encoding" header field sent by the PSU terminal when connecting to the TPP
- PSU-Accept-Languageheaderstring
"Accept-Language" header field sent by the PSU terminal when connecting to the TPP
- PSU-Device-IDheaderstring
UUID (Universally Unique Identifier) for a device, which is used by the PSU, if available. UUID identifies either a device or a device dependant application installation. In case of installation identification this ID need to be unaltered until removal from device.
- Digestheaderstring
Digest of the body
- Signatureheaderstringrequired
http-signature of the request The keyId must specify the way to get the relevant qualified certificate. It is requested that this identifier is an URL aiming to provide the relevant Qualified Certificate.
- X-Request-IDheaderstringrequired
Correlation header to be set in a request and retrieved in the relevant response
Constraints: maxLength: 70
- workspacequerystring
Workspace to be used for processing an AISP request. If not provided, the default workspace is computed from the authentication that was used for getting the OAuth2 Access Token.
Constraints: maxLength: 32
Responses
200
The ASPSP return a PSU context
- listing the accounts that were made available to the AISP by the PSU and,
- for each of these accounts, the further transactions that were enabled by the PSU through HYPERMEDIA links.
HalAccounts
HYPERMEDIA structure used for returning the list of the available accounts to the AISP
Fields (2)
- accountsarray<AccountResource>required
List of PSU account that are made available to the TPP
List of PSU account that are made available to the TPP
Item: AccountResource
PSU account that is made available to the TPP. The ASPSP is able to set up specific accounts in order to provide card transactions with a delayed debit.  This account must be specific to a given card. Consequently, when the card is renewed, a new account will be set up. ASPSP might also set-up different accounts for one given card but with different imputation dates. The remanence of these accounts is up to the ASPSP. Case a payment card is blocked, any relevant information (balances, transactions...) that is available through the ASPSP PSU-interfaces must also be available through the API till the end of remanence period.
- workspaceWorkspace
Some ASPSP may provide different user workspaces that can be accessed by the same authenticated PSU. In this case, the AISP is able to retrieve the different pieces of account information by specifying the relevant workspace as a QUERY parameter. Identification of the workspace to be used when processing the request. If not present, the default workspace to be used is the one that is linked to the authentication processed during the OAuth2 access token request.
Schema: Workspace
Some ASPSP may provide different user workspaces that can be accessed by the same authenticated PSU. In this case, the AISP is able to retrieve the different pieces of account information by specifying the relevant workspace as a QUERY parameter. Identification of the workspace to be used when processing the request. If not present, the default workspace to be used is the one that is linked to the authentication processed during the OAuth2 access token request.
- identificationstringrequired
identification of the workspace to be used as an optional query parameter for some AISP queries
Constraints: maxLength: 32
- labelstringrequired
textual description of the workspace as specified by the ASPSP in relationship wth the PSU
Constraints: maxLength: 128
- resourceIdResourceId
API: Identifier assigned by the ASPSP for further use of the created resource through API calls.
Schema: ResourceId
API: Identifier assigned by the ASPSP for further use of the created resource through API calls. The API client cannot set or modify the value of this field. Since this value can be exchanged between the server and the client as an URL element or for support information, it must not contain sensitive value such as personal or business data.
Type: string
Constraints: pattern: `^([a-zA-Z0-9_ /\-?:\()\.,']{1,100})$`
- bicFistring
ISO20022: Code allocated to a financial institution by the ISO 9362 Registration Authority as described in ISO 9362 "Banking - Banking telecommunication messages - Business identification code (BIC)".
ISO20022: Code allocated to a financial institution by the ISO 9362 Registration Authority as described in ISO 9362 "Banking - Banking telecommunication messages - Business identification code (BIC)".
Constraints: pattern: `^[A-Z]{6,6}[A-Z2-9][A-NP-Z0-9]([A-Z0-9]{3,3}){0,1}$`
- accountIdAccountIdentification
Unique and unambiguous identification for the account between the account owner and the account servicer.
Schema: AccountIdentification
Unique and unambiguous identification for the account between the account owner and the account servicer. Card accounts must provide the identification of the card through the "other" substructure by giving, for instance, the masked PAN (MPAN).
- workspacestring
Workspace to which the account is linked.
Workspace to which the account is linked. This workspace might be specified by the AISP when forwarding the consent on accounts. If not provided, the default workspace is computed from the authentication that was used for getting the OAuth2 Access Token.
Constraints: maxLength: 32
- ibanstring
ISO20022: International Bank Account Number (IBAN) - identification used internationally by financial institutions to uniquely identify the account of a customer.
ISO20022: International Bank Account Number (IBAN) - identification used internationally by financial institutions to uniquely identify the account of a customer.
Further specifications of the format and content of the IBAN can be found in the standard ISO 13616 "Banking and related financial services - International Bank Account Number (IBAN)" version 1997-10-01, or later revisions.
Constraints: pattern: `^[A-Z]{2,2}[0-9]{2,2}[a-zA-Z0-9]{1,30}$`
- otherGenericIdentification
ISO20022: Unique identification of an account, a person or an organisation, as assigned by an issuer.
Schema: GenericIdentification
ISO20022: Unique identification of an account, a person or an organisation, as assigned by an issuer. API: The ASPSP will document which account reference type it will support.
- identificationstringrequired
API: Identifier
API: Identifier
Constraints: maxLength: 70
- schemeNamestringrequired
Name of the identification scheme.
Name of the identification scheme. Possible values for the scheme name, partially based on ISO20022 external code list, are the following:
Code Name Description BANK BankPartyIdentification Unique and unambiguous assignment made by a specific bank or similar financial institution to identify a relationship as defined between the bank and its client. COID CountryIdentificationCode) : Country authority given organisation identification (e.g., corporate registration number) SREN SIREN The SIREN number is a 9 digit code assigned by INSEE, the French National Institute for Statistics and Economic Studies, to identify an organisation in France. SRET SIRET The SIRET number is a 14 digit code assigned by INSEE, the French National Institute for Statistics and Economic Studies, to identify an organisation unit in France. It consists of the SIREN number, followed by a five digit classification number, to identify the local geographical unit of that entity. NIDN NationalIdentityNumber Number assigned by an authority to identify the national identity number of a person. Other values are also permitted, for instance: Code Name Description ---- ---- ----------- OAUT OAUTH2 OAUTH2 access token that is owned by the PISP being also an AISP and that can be used in order to identify the PSU CPAN CardPan Card PAN MPAN MaskedPan Card PAN where some digits were replaced for security reason TPAN TokenizedPan Token which was provided by a Token Service Provider (TSP) in order to obfuscate a real card PAN. The TSP must be identified in the issuer field TBAN TokenizedIBAN Token which was provided by a Token Service Provider (TSP) in order to obfuscate an IBAN. The TSP must be identified in the issuer field Each implementation of the STET PSD2 API must specify in its own documentation which schemes can actually been used Constraints: maxLength: 70
- issuerstring
ISO20022: Entity that assigns the identification. this could a country code or any organisation name or identifier that can be recognized by both parties
ISO20022: Entity that assigns the identification. this could a country code or any organisation name or identifier that can be recognized by both parties
Constraints: maxLength: 35
Currency used for the account
Schema: CurrencyCode
Specifies the currency of the amount or of the account. A code allocated to a currency by a Maintenance Agency under an international identification scheme, as described in the latest edition of the international standard ISO 4217 "Codes for the representation of currencies and funds".
Type: string
Constraints: pattern: `^[A-Z]{3,3}$`
- namestringrequired
Label of the PSU account
Label of the PSU account In case of a delayed debit card transaction set, the name shall specify the holder name and can also provide the imputation date
Constraints: maxLength: 70
- detailsstring
Specifications that might be provided by the ASPSP
Specifications that might be provided by the ASPSP
- characteristics of the account
- characteristics of the relevant card
Constraints: maxLength: 140
- linkedAccountstring
Case of a set of pending card transactions, the ASPSP will provide the relevant cash account the card is set up on.
Constraints: maxLength: 70
- usagestringenum · 2
Specifies the usage of the account
Code Description PRIVPrivate personal account ORGAProfessional account - cashAccountTypestringrequiredenum · 2
Specifies the type of the account
Code Description CACCCash account CARDList of card based transactions - productstring
Product Name of the Bank for this account, proprietary definition
Product Name of the Bank for this account, proprietary definition
Constraints: maxLength: 35
- balancesarray<BalanceResource>
list of balances provided by the ASPSP
Item: BalanceResource
Structure of an account balance
- namestringrequired
Label of the balance
Constraints: maxLength: 70
- balanceAmountAmountTyperequired
Structure aiming to embed the amount and the currency to be used.
Schema: AmountType
Structure aiming to embed the amount and the currency to be used.
- amountnumber (float)required
ISO20022: Amount of money to be moved between the debtor and creditor, before deduction of charges, expressed in the currency as ordered by the initiating party.
ISO20022: Amount of money to be moved between the debtor and creditor, before deduction of charges, expressed in the currency as ordered by the initiating party.
Constraints: pattern: `^\-{0,1}[0-9]{1,13}(\.[0-9]{0,5}){0,1}$`
Specifies the currency of the amount or of the account.
Schema: CurrencyCode
Specifies the currency of the amount or of the account. A code allocated to a currency by a Maintenance Agency under an international identification scheme, as described in the latest edition of the international standard ISO 4217 "Codes for the representation of currencies and funds".
Type: string
Constraints: pattern: `^[A-Z]{3,3}$`
- balanceTypeBalanceStatusrequired
Type of balance
Schema: BalanceStatus
Code Name Description CLBDISO20022 ClosingBooked Accounting Balance XPCDISO20022 Expected Instant Balance VALU(None) Value-date balance OTHR(None) Other Balance Timestamp of the last change of the balance amount
Reference date for the balance
- lastCommittedTransactionstring
Identification of the last committed transaction. This is actually useful for instant balance.
Identification of the last committed transaction. This is actually useful for instant balance.
Constraints: maxLength: 40
- psuStatusPsuStatusType
ISO20022: Specifies the type of account ownership.
Schema: PsuStatusType
ISO20022: Specifies the type of account ownership.
Name Description Account Holder Person which is the sole holder of the account. Account Co-Holder Person which shares with others the holding of the account. Attorney Generic case of a person having a mandate to access the account data. Custodian For Minor Entity that holds shares/units on behalf of a legal minor. Although the account is registered under the name of the minor, the custodian retains control of the account. Legal Guardian Entity that was appointed by a legal authority to act on behalf of a person judged to be incapacitated. Nominee Entity named by the beneficial owner to act on its behalf, often to facilitate dealing, or to conceal the identity of the beneficiary. Successor On Death Deceased's estate, or successor, to whom the respective percentage of ownership will be transferred upon the death of one of the owners. Trustee Legal owners of the property. However, the beneficiary has the equitable or beneficial ownership. Type: string
Constraints: maxLength: 35
- _linksAccountLinksrequired
links that can be used for further navigation when browsing Account Information at one account level
Schema: AccountLinks
links that can be used for further navigation when browsing Account Information at one account level
Link Description owners link to the owners identities for a given account balances link to the balances of a given account transactions link to the transactions of a given account overdrafts link to the lists of overdrafts of a given account - ownersGenericLink
hypertext reference
Schema: GenericLink
hypertext reference
- hrefstringrequired
URI to be used. HREF stands for Hypertext REFerence.
Constraints: maxLength: 2000
- templatedboolean
specifies "true" if href is a URI template, i.e. with parameters. Otherwise, this property is absent or set to false
- balancesGenericLink
hypertext reference
Schema: GenericLink
hypertext reference
- hrefstringrequired
URI to be used. HREF stands for Hypertext REFerence.
Constraints: maxLength: 2000
- templatedboolean
specifies "true" if href is a URI template, i.e. with parameters. Otherwise, this property is absent or set to false
- transactionsGenericLink
hypertext reference
Schema: GenericLink
hypertext reference
- hrefstringrequired
URI to be used. HREF stands for Hypertext REFerence.
Constraints: maxLength: 2000
- templatedboolean
specifies "true" if href is a URI template, i.e. with parameters. Otherwise, this property is absent or set to false
- overdraftsGenericLink
hypertext reference
Schema: GenericLink
hypertext reference
- hrefstringrequired
URI to be used. HREF stands for Hypertext REFerence.
Constraints: maxLength: 2000
- templatedboolean
specifies "true" if href is a URI template, i.e. with parameters. Otherwise, this property is absent or set to false
- _linksAccountListLinksrequired
Links that can be used for further navigation when browsing Account Information at top level
Schema: AccountListLinks
Links that can be used for further navigation when browsing Account Information at top level
Link Description self link to the list of all available accounts consents link to the consents forwarding endUserIdentity link to the end-user identity trustedBeneficiaries link to the list of trusted beneficiaries first link to the first page of the accounts result last link to the last page of the accounts result next link to the next page of the accounts result prev link to the previous page of the accounts result - selfGenericLinkrequired
hypertext reference
Schema: GenericLink
hypertext reference
- hrefstringrequired
URI to be used. HREF stands for Hypertext REFerence.
Constraints: maxLength: 2000
- templatedboolean
specifies "true" if href is a URI template, i.e. with parameters. Otherwise, this property is absent or set to false
- consentsGenericLink
hypertext reference
Schema: GenericLink
hypertext reference
- hrefstringrequired
URI to be used. HREF stands for Hypertext REFerence.
Constraints: maxLength: 2000
- templatedboolean
specifies "true" if href is a URI template, i.e. with parameters. Otherwise, this property is absent or set to false
- endUserIdentityGenericLink
hypertext reference
Schema: GenericLink
hypertext reference
- hrefstringrequired
URI to be used. HREF stands for Hypertext REFerence.
Constraints: maxLength: 2000
- templatedboolean
specifies "true" if href is a URI template, i.e. with parameters. Otherwise, this property is absent or set to false
- trustedBeneficiariesGenericLink
hypertext reference
Schema: GenericLink
hypertext reference
- hrefstringrequired
URI to be used. HREF stands for Hypertext REFerence.
Constraints: maxLength: 2000
- templatedboolean
specifies "true" if href is a URI template, i.e. with parameters. Otherwise, this property is absent or set to false
- workspacesarray<GenericLink>
list of all workspaces that can be accessed by the PSU
Item: GenericLink
hypertext reference
- hrefstringrequired
URI to be used. HREF stands for Hypertext REFerence.
Constraints: maxLength: 2000
- templatedboolean
specifies "true" if href is a URI template, i.e. with parameters. Otherwise, this property is absent or set to false
- firstGenericLink
hypertext reference
Schema: GenericLink
hypertext reference
- hrefstringrequired
URI to be used. HREF stands for Hypertext REFerence.
Constraints: maxLength: 2000
- templatedboolean
specifies "true" if href is a URI template, i.e. with parameters. Otherwise, this property is absent or set to false
- lastGenericLink
hypertext reference
Schema: GenericLink
hypertext reference
- hrefstringrequired
URI to be used. HREF stands for Hypertext REFerence.
Constraints: maxLength: 2000
- templatedboolean
specifies "true" if href is a URI template, i.e. with parameters. Otherwise, this property is absent or set to false
- nextGenericLink
hypertext reference
Schema: GenericLink
hypertext reference
- hrefstringrequired
URI to be used. HREF stands for Hypertext REFerence.
Constraints: maxLength: 2000
- templatedboolean
specifies "true" if href is a URI template, i.e. with parameters. Otherwise, this property is absent or set to false
- prevGenericLink
hypertext reference
Schema: GenericLink
hypertext reference
- hrefstringrequired
URI to be used. HREF stands for Hypertext REFerence.
Constraints: maxLength: 2000
- templatedboolean
specifies "true" if href is a URI template, i.e. with parameters. Otherwise, this property is absent or set to false
204
No content.
Shared response definition: 204
401
Unauthorized, authentication failure.
ErrorModel
Generic error report structure
Fields (5)
current timestamp
- statusinteger (int32)required
HTTP error code
- errorstring
HTTP error text
Constraints: maxLength: 140
- messagestringrequired
HTTP textual reason phrase
Constraints: maxLength: 140
- pathstring
Relevant path that was used
Constraints: maxLength: 140
403
Forbidden, authentication successful but access to resource is not allowed.
ErrorModel
Generic error report structure
Fields (5)
current timestamp
- statusinteger (int32)required
HTTP error code
- errorstring
HTTP error text
Constraints: maxLength: 140
- messagestringrequired
HTTP textual reason phrase
Constraints: maxLength: 140
- pathstring
Relevant path that was used
Constraints: maxLength: 140
404
Not found, no request available.
ErrorModel
Generic error report structure
Fields (5)
current timestamp
- statusinteger (int32)required
HTTP error code
- errorstring
HTTP error text
Constraints: maxLength: 140
- messagestringrequired
HTTP textual reason phrase
Constraints: maxLength: 140
- pathstring
Relevant path that was used
Constraints: maxLength: 140
405
Method Not Allowed.
ErrorModel
Generic error report structure
Fields (5)
current timestamp
- statusinteger (int32)required
HTTP error code
- errorstring
HTTP error text
Constraints: maxLength: 140
- messagestringrequired
HTTP textual reason phrase
Constraints: maxLength: 140
- pathstring
Relevant path that was used
Constraints: maxLength: 140
406
Not Acceptable.
ErrorModel
Generic error report structure
Fields (5)
current timestamp
- statusinteger (int32)required
HTTP error code
- errorstring
HTTP error text
Constraints: maxLength: 140
- messagestringrequired
HTTP textual reason phrase
Constraints: maxLength: 140
- pathstring
Relevant path that was used
Constraints: maxLength: 140
408
Request Timeout.
ErrorModel
Generic error report structure
Fields (5)
current timestamp
- statusinteger (int32)required
HTTP error code
- errorstring
HTTP error text
Constraints: maxLength: 140
- messagestringrequired
HTTP textual reason phrase
Constraints: maxLength: 140
- pathstring
Relevant path that was used
Constraints: maxLength: 140
429
Too many requests.
ErrorModel
Generic error report structure
Fields (5)
current timestamp
- statusinteger (int32)required
HTTP error code
- errorstring
HTTP error text
Constraints: maxLength: 140
- messagestringrequired
HTTP textual reason phrase
Constraints: maxLength: 140
- pathstring
Relevant path that was used
Constraints: maxLength: 140
500
Internal server error.
ErrorModel
Generic error report structure
Fields (5)
current timestamp
- statusinteger (int32)required
HTTP error code
- errorstring
HTTP error text
Constraints: maxLength: 140
- messagestringrequired
HTTP textual reason phrase
Constraints: maxLength: 140
- pathstring
Relevant path that was used
Constraints: maxLength: 140
503
Service unavailable.
ErrorModel
Generic error report structure
Fields (5)
current timestamp
- statusinteger (int32)required
HTTP error code
- errorstring
HTTP error text
Constraints: maxLength: 140
- messagestringrequired
HTTP textual reason phrase
Constraints: maxLength: 140
- pathstring
Relevant path that was used
Constraints: maxLength: 140
Schemas used by this endpoint
Every structure referenced by this operation, listed once. Cross-references resolve to anchors on this page.
AccountIdentification
Unique and unambiguous identification for the account between the account owner and the account servicer. Card accounts must provide the identification of the card through the "other" substructure by giving, for instance, the masked PAN (MPAN).
Fields (4)
- workspacestring
Workspace to which the account is linked.
Workspace to which the account is linked. This workspace might be specified by the AISP when forwarding the consent on accounts. If not provided, the default workspace is computed from the authentication that was used for getting the OAuth2 Access Token.
Constraints: maxLength: 32
- ibanstring
ISO20022: International Bank Account Number (IBAN) - identification used internationally by financial institutions to uniquely identify the account of a customer.
ISO20022: International Bank Account Number (IBAN) - identification used internationally by financial institutions to uniquely identify the account of a customer.
Further specifications of the format and content of the IBAN can be found in the standard ISO 13616 "Banking and related financial services - International Bank Account Number (IBAN)" version 1997-10-01, or later revisions.
Constraints: pattern: `^[A-Z]{2,2}[0-9]{2,2}[a-zA-Z0-9]{1,30}$`
- otherGenericIdentification
Schema: GenericIdentification
Currency used for the account
Schema: CurrencyCode
AccountLinks
links that can be used for further navigation when browsing Account Information at one account level
| Link | Description |
|---|---|
| owners | link to the owners identities for a given account |
| balances | link to the balances of a given account |
| transactions | link to the transactions of a given account |
| overdrafts | link to the lists of overdrafts of a given account |
Fields (4)
- ownersGenericLink
Schema: GenericLink
- balancesGenericLink
Schema: GenericLink
- transactionsGenericLink
Schema: GenericLink
- overdraftsGenericLink
Schema: GenericLink
AccountListLinks
Links that can be used for further navigation when browsing Account Information at top level
| Link | Description |
|---|---|
| self | link to the list of all available accounts |
| consents | link to the consents forwarding |
| endUserIdentity | link to the end-user identity |
| trustedBeneficiaries | link to the list of trusted beneficiaries |
| first | link to the first page of the accounts result |
| last | link to the last page of the accounts result |
| next | link to the next page of the accounts result |
| prev | link to the previous page of the accounts result |
Fields (9)
- selfGenericLinkrequired
Schema: GenericLink
- consentsGenericLink
Schema: GenericLink
- endUserIdentityGenericLink
Schema: GenericLink
- trustedBeneficiariesGenericLink
Schema: GenericLink
- workspacesarray<GenericLink>
list of all workspaces that can be accessed by the PSU
Item: GenericLink
- firstGenericLink
Schema: GenericLink
- lastGenericLink
Schema: GenericLink
- nextGenericLink
Schema: GenericLink
- prevGenericLink
Schema: GenericLink
AccountResource
PSU account that is made available to the TPP. The ASPSP is able to set up specific accounts in order to provide card transactions with a delayed debit.  This account must be specific to a given card. Consequently, when the card is renewed, a new account will be set up. ASPSP might also set-up different accounts for one given card but with different imputation dates. The remanence of these accounts is up to the ASPSP. Case a payment card is blocked, any relevant information (balances, transactions...) that is available through the ASPSP PSU-interfaces must also be available through the API till the end of remanence period.
Fields (13)
- workspaceWorkspace
Schema: Workspace
- resourceIdResourceId
Schema: ResourceId
- bicFistring
ISO20022: Code allocated to a financial institution by the ISO 9362 Registration Authority as described in ISO 9362 "Banking - Banking telecommunication messages - Business identification code (BIC)".
ISO20022: Code allocated to a financial institution by the ISO 9362 Registration Authority as described in ISO 9362 "Banking - Banking telecommunication messages - Business identification code (BIC)".
Constraints: pattern: `^[A-Z]{6,6}[A-Z2-9][A-NP-Z0-9]([A-Z0-9]{3,3}){0,1}$`
- accountIdAccountIdentification
Schema: AccountIdentification
- namestringrequired
Label of the PSU account
Label of the PSU account In case of a delayed debit card transaction set, the name shall specify the holder name and can also provide the imputation date
Constraints: maxLength: 70
- detailsstring
Specifications that might be provided by the ASPSP
Specifications that might be provided by the ASPSP
- characteristics of the account
- characteristics of the relevant card
Constraints: maxLength: 140
- linkedAccountstring
Case of a set of pending card transactions, the ASPSP will provide the relevant cash account the card is set up on.
Constraints: maxLength: 70
- usagestringenum · 2
Specifies the usage of the account
Code Description PRIVPrivate personal account ORGAProfessional account - cashAccountTypestringrequiredenum · 2
Specifies the type of the account
Code Description CACCCash account CARDList of card based transactions - productstring
Product Name of the Bank for this account, proprietary definition
Product Name of the Bank for this account, proprietary definition
Constraints: maxLength: 35
- balancesarray<BalanceResource>
list of balances provided by the ASPSP
Item: BalanceResource
- psuStatusPsuStatusType
Schema: PsuStatusType
- _linksAccountLinksrequired
Schema: AccountLinks
AmountType
Structure aiming to embed the amount and the currency to be used.
Fields (2)
- amountnumber (float)required
ISO20022: Amount of money to be moved between the debtor and creditor, before deduction of charges, expressed in the currency as ordered by the initiating party.
ISO20022: Amount of money to be moved between the debtor and creditor, before deduction of charges, expressed in the currency as ordered by the initiating party.
Constraints: pattern: `^\-{0,1}[0-9]{1,13}(\.[0-9]{0,5}){0,1}$`
Schema: CurrencyCode
BalanceResource
Structure of an account balance
Fields (6)
- namestringrequired
Label of the balance
Constraints: maxLength: 70
- balanceAmountAmountTyperequired
Schema: AmountType
- balanceTypeBalanceStatusrequired
Schema: BalanceStatus
Timestamp of the last change of the balance amount
Reference date for the balance
- lastCommittedTransactionstring
Identification of the last committed transaction. This is actually useful for instant balance.
Identification of the last committed transaction. This is actually useful for instant balance.
Constraints: maxLength: 40
BalanceStatus
Type of balance
| Code | Name | Description |
|---|---|---|
CLBD | ISO20022 ClosingBooked | Accounting Balance |
XPCD | ISO20022 Expected | Instant Balance |
VALU | (None) | Value-date balance |
OTHR | (None) | Other Balance |
CurrencyCode
Specifies the currency of the amount or of the account. A code allocated to a currency by a Maintenance Agency under an international identification scheme, as described in the latest edition of the international standard ISO 4217 "Codes for the representation of currencies and funds".
ErrorModel
Generic error report structure
Fields (5)
current timestamp
- statusinteger (int32)required
HTTP error code
- errorstring
HTTP error text
Constraints: maxLength: 140
- messagestringrequired
HTTP textual reason phrase
Constraints: maxLength: 140
- pathstring
Relevant path that was used
Constraints: maxLength: 140
GenericIdentification
ISO20022: Unique identification of an account, a person or an organisation, as assigned by an issuer. API: The ASPSP will document which account reference type it will support.
Fields (3)
- identificationstringrequired
API: Identifier
API: Identifier
Constraints: maxLength: 70
- schemeNamestringrequired
Name of the identification scheme.
Name of the identification scheme. Possible values for the scheme name, partially based on ISO20022 external code list, are the following:
Code Name Description BANK BankPartyIdentification Unique and unambiguous assignment made by a specific bank or similar financial institution to identify a relationship as defined between the bank and its client. COID CountryIdentificationCode) : Country authority given organisation identification (e.g., corporate registration number) SREN SIREN The SIREN number is a 9 digit code assigned by INSEE, the French National Institute for Statistics and Economic Studies, to identify an organisation in France. SRET SIRET The SIRET number is a 14 digit code assigned by INSEE, the French National Institute for Statistics and Economic Studies, to identify an organisation unit in France. It consists of the SIREN number, followed by a five digit classification number, to identify the local geographical unit of that entity. NIDN NationalIdentityNumber Number assigned by an authority to identify the national identity number of a person. Other values are also permitted, for instance: Code Name Description ---- ---- ----------- OAUT OAUTH2 OAUTH2 access token that is owned by the PISP being also an AISP and that can be used in order to identify the PSU CPAN CardPan Card PAN MPAN MaskedPan Card PAN where some digits were replaced for security reason TPAN TokenizedPan Token which was provided by a Token Service Provider (TSP) in order to obfuscate a real card PAN. The TSP must be identified in the issuer field TBAN TokenizedIBAN Token which was provided by a Token Service Provider (TSP) in order to obfuscate an IBAN. The TSP must be identified in the issuer field Each implementation of the STET PSD2 API must specify in its own documentation which schemes can actually been used Constraints: maxLength: 70
- issuerstring
ISO20022: Entity that assigns the identification. this could a country code or any organisation name or identifier that can be recognized by both parties
ISO20022: Entity that assigns the identification. this could a country code or any organisation name or identifier that can be recognized by both parties
Constraints: maxLength: 35
GenericLink
hypertext reference
Fields (2)
- hrefstringrequired
URI to be used. HREF stands for Hypertext REFerence.
Constraints: maxLength: 2000
- templatedboolean
specifies "true" if href is a URI template, i.e. with parameters. Otherwise, this property is absent or set to false
HalAccounts
HYPERMEDIA structure used for returning the list of the available accounts to the AISP
Fields (2)
- accountsarray<AccountResource>required
List of PSU account that are made available to the TPP
List of PSU account that are made available to the TPP
Item: AccountResource
- _linksAccountListLinksrequired
Schema: AccountListLinks
PsuStatusType
ISO20022: Specifies the type of account ownership.
| Name | Description |
|---|---|
| Account Holder | Person which is the sole holder of the account. |
| Account Co-Holder | Person which shares with others the holding of the account. |
| Attorney | Generic case of a person having a mandate to access the account data. |
| Custodian For Minor | Entity that holds shares/units on behalf of a legal minor. Although the account is registered under the name of the minor, the custodian retains control of the account. |
| Legal Guardian | Entity that was appointed by a legal authority to act on behalf of a person judged to be incapacitated. |
| Nominee | Entity named by the beneficial owner to act on its behalf, often to facilitate dealing, or to conceal the identity of the beneficiary. |
| Successor On Death | Deceased's estate, or successor, to whom the respective percentage of ownership will be transferred upon the death of one of the owners. |
| Trustee | Legal owners of the property. However, the beneficiary has the equitable or beneficial ownership. |
ResourceId
API: Identifier assigned by the ASPSP for further use of the created resource through API calls. The API client cannot set or modify the value of this field. Since this value can be exchanged between the server and the client as an URL element or for support information, it must not contain sensitive value such as personal or business data.
Workspace
Some ASPSP may provide different user workspaces that can be accessed by the same authenticated PSU. In this case, the AISP is able to retrieve the different pieces of account information by specifying the relevant workspace as a QUERY parameter. Identification of the workspace to be used when processing the request. If not present, the default workspace to be used is the one that is linked to the authentication processed during the OAuth2 access token request.
Fields (2)
- identificationstringrequired
identification of the workspace to be used as an optional query parameter for some AISP queries
Constraints: maxLength: 32
- labelstringrequired
textual description of the workspace as specified by the ASPSP in relationship wth the PSU
Constraints: maxLength: 128